Package org.h2gis.functions.system

## Class H2GISversion

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.system.H2GISversion

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class H2GISversion
    extends org.h2gis.api.DeterministicScalarFunction

Return the current version of H2GIS stored in the manifest

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`H2GISversion()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `geth2gisVersion()` Return the H2GIS version available in the version txt file Otherwise return unknown
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### H2GISversion

    public H2GISversion()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### geth2gisVersion

    public static String geth2gisVersion()

Return the H2GIS version available in the version txt file Otherwise return unknown

Returns: